/**
 * Test case for define.
 * Runs with nodeunit.
 */

var define = require('../lib/define.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['Define'] = function (test) {
    var task = define([
        __dirname + '/../doc/mocks/jade_dir_01'
    ], {
        out: __dirname + '/../tmp/foo/bar',
        pretty: true,
        locals: {
            l1: 'this is l1'
        }
    });
    test.ok(task);
    var context = {
        verbose: false,
        logger: {}
    };
    task(context, function (err) {
        test.ifError(err);
        test.done();
    });
};

